# ComponentModuleMetadataHandler

interface ComponentModuleMetadataHandler

Allows to modify the metadata of depended-on software components.

Example:

    dependencies {
        modules {
            //Configuring component module metadata for the entire "google-collections" module,
            // declaring that legacy library was replaced with "guava".
            //This way, Gradle's conflict resolution can use this information and use "guava"
            // in case both libraries appear in the same dependency tree.
            module("com.google.collections:google-collections") {
                replacedBy("com.google.guava:guava")
            }
        }
    }

Content copied to clipboard

#### Since

2.2

## Functions

module
Link copied to clipboard
abstract fun module(moduleNotation: Any, rule: Action<in ComponentModuleMetadataDetails>)
Enables configuring component module metadata.